> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polydata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data View

<Note>
  Many endpoints support custom query parameters for filtering data. To see
  which query parameters are available for a specific endpoint, visit the hub's
  API page (e.g., [Fight Matrix API](https://www.polydata.co/fight-matrix/api))
  where all available parameters, their types, and examples are documented.
</Note>

## Examples

<CodeGroup>
  ```bash Basic Request theme={null}
  curl -H "Authorization: Bearer YOUR_API_KEY" \
    "https://api.polydata.co/v1/data/views/intraocular/top_5_players"
  ```

  ```python Python Example theme={null}
  import requests

  # Basic request
  url = "https://api.polydata.co/v1/data/views/intraocular/top_5_players"
  headers = {"Authorization": "Bearer YOUR_API_KEY"}

  response = requests.get(url, headers=headers)
  data = response.json()
  print(data)
  ```

  ```bash With Query Parameters theme={null}
  # Example using Fight Matrix endpoint with date and weight class filters
  curl -H "Authorization: Bearer YOUR_API_KEY" \
    "https://api.polydata.co/v1/data/views/fight_matrix/fighters_historical_view?date=2024-01-01&weight_class=HW"
  ```

  ```python Python Query Parameters theme={null}
  import requests

  # Example using query parameters (Fight Matrix endpoint)
  url = "https://api.polydata.co/v1/data/views/fight_matrix/fighters_historical_view"
  headers = {"Authorization": "Bearer YOUR_API_KEY"}
  params = {
      "date": "2024-01-01",
      "weight_class": "HW"
  }

  response = requests.get(url, headers=headers, params=params)
  data = response.json()
  print(data)
  ```
</CodeGroup>
